Subject: Re: net: wireless: ralink: RT2X00: regression, hostapd do not work anymore on 6.18.33 (work on 6.18.26)

From: Stanislaw Gruszka <[email-masked]>
Date: Mon, 1 Jun 2026 18:17:58 +0200

Hi,

On Sun, May 31, 2026 at 04:11:07PM +0200, Corentin Labbe wrote:
> Hello
> 
> I have an hostapd setup with a 
> 01:00.0 Network controller: Ralink corp. RT2790 Wireless 802.11n 1T/2R PCIe
> 
> The setup work fine on 6.18.26-gentoo
> It breaks on 6.18.33-gentoo
> 
> I found an hint in dmesg:
> On 6.18.26-gentoo I see:
> May 31 15:48:45 trash01 kernel: ieee80211 phy0: rt2x00_set_rf: Info - RF chipset 0003 detected
> 
> On 6.18.33-gentoo I see:
> May 31 15:22:57 trash01 kernel: ieee80211 phy0: rt2x00_set_rf: Info - RF chipset 0006 detected
> 
> The RF chipset seems badly detected.

I do not see any rt2x00 related changes between upstream v6.18.26
and v6.18.33. Assuming gentoo does not provide own extra patches,
seems the issue be in some other subsystem, maybe PCI. 

Then the best way get solution to the problem would be to find 
offensive commit using git bisection:
https://docs.kernel.org/admin-guide/bug-bisect.html

You can also try if by a chance bug is not yet fixed in just
released v6.18.34

Regards
Stanislaw